curl --request GET \
--url https://api.fabric.inc/v3/product-attribute-groups/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fabric.inc/v3/product-attribute-groups/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fabric.inc/v3/product-attribute-groups/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "59328bf0b5f328bf0b5f3288",
"name": "Dimensions",
"description": "Dimensions of a product",
"priority": 1,
"attributes": [
{
"attributeId": "33328bf0b5f328bf0b5f3288",
"name": "color",
"type": "TEXT",
"localizedProperties": {
"en-US": {
"name": "color"
},
"en-IN": {
"name": "colour"
}
},
"isLocalizable": true,
"isReadOnly": true
}
],
"attributeCount": 20,
"updatedBy": "test@email.com",
"createdAt": "2021-04-20T10:24:36.162Z",
"updatedAt": "2021-04-20T10:24:36.162Z"
}{
"message": "Request is invalid",
"type": "Bad request",
"errors": [
{
"type": "CLIENT_ERROR",
"message": "Invalid request. Check your parameters or request body."
}
]
}{
"message": "The requester is unauthorized",
"type": "UNAUTHORIZED_ERROR"
}{
"type": "REQUEST_DENIED",
"message": "User doesn't have the required permission"
}{
"type": "NOT_FOUND",
"message": "Resource not found"
}{
"type": "SERVER_ERROR",
"message": "Internal Server Error"
}Get Single Attribute Group
Attribute groups are collections of attributes that can be assigned to products or categories. This endpoint gets details of the product attribute groups for the specified ID for proper details of product information on your e-commerce portal.
Authorizations
S2S access token (JWT) from fabric Identity service (during Login)
Headers
A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.
"517fa9dfd42d8b00g1o3k312"
Unique request ID
"263e731c-45c8-11ed-b878-0242ac120002"
Path Parameters
24-character system-generated attribute group ID
Response
OK
24-character system-generated attribute group ID
"59328bf0b5f328bf0b5f3288"
Attribute group name
"Dimensions"
Brief description of attribute group
"Dimensions of a product"
Determines attribute group's order of appearance in the UI
1
Show child attributes
Show child attributes
Number of attributes in the attribute group
20
Email of user who last updated Attribute Group
"test@email.com"
Attribute group creation time (UTC)
"2021-04-20T10:24:36.162Z"
Time of last update to attribute group (UTC)
"2021-04-20T10:24:36.162Z"
Was this page helpful?
